Package: groovy.util

## [Java] Class ObservableMap.PropertyEvent

- groovy.util.ObservableMap.PropertyEvent

-     public static abstract class ObservableMap.PropertyEvent
      extends PropertyChangeEvent

  Base event type for observable map changes.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `PropertyEvent(Object source, String propertyName, Object oldValue, Object newValue, ObservableMap.ChangeType type)` Creates a property event.

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public ObservableMap.ChangeType` | `getChangeType()` Returns the specialized event type.
    `` | `public int` | `getType()` Returns the specialized event type ordinal.
    `` | `public String` | `getTypeAsString()` Returns the specialized event type name.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class PropertyChangeEvent` | `equals, getClass, getNewValue, getOldValue, getPropagationId, getPropertyName, getSource, hashCode, notify, notifyAll, setPropagationId, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### public PropertyEvent(Object source, String propertyName, Object oldValue, Object newValue, ObservableMap.ChangeType type)

      Creates a property event.

      Parameters:
        `source` - the event source
        `propertyName` - the affected property name
        `oldValue` - the previous value payload
        `newValue` - the new value payload
        `type` - the specialized change type

  - ### Method Detail

    - #### public ObservableMap.ChangeType getChangeType()

      Returns the specialized event type.

      Returns:
        the change type

    - #### public int getType()

      Returns the specialized event type ordinal.

      Returns:
        the change type ordinal

    - #### public String getTypeAsString()

      Returns the specialized event type name.

      Returns:
        the change type name